package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * 订单明细状态
 * @author xiaow
 */
@Getter
@AllArgsConstructor
public enum OderDStatusEnum {

    /**
     * 未收货
     */
    MAKE_INVOICE ("0", "未收货"),

    /**
     * 部分收货
     */
    TAKE_PART_GOODS("1", "部分收货"),

    /**
     * 明细完成
     */
    ORDER_FINISHED("2", "明细完成"),

    /**
     * 清理明细
     */
    ORDER_CLEAN("3", "清理明细"),
    ;

    private String value;
    private String desc;

}
